Subject: Re: Stalin's revenge?
From: [email-masked] (Stephen J Bungard)
Date: Tue, 2 Aug 1994 10:23:44 +0000
Newsgroups: bionet.plants

In article <[email-masked]> [email-masked] writes:

> I too saw the newspaper article, and was irritated that it did not
> included the Latin binomial.  From the article I read (which did not
> mention thorns), I guessed may be a cultivar of the giant hogweed.
> 
> (Sorry, I can't recall the Latin binomial right now, but I think it
> may be something like "Heraclea macrophyla".)

Heracleum mantegazzianum is giant hogweed.  

> 
> The giant hogweed created something of a media sensation some years ago
> in England, where it has escaped from gardens into lowlands around streams,
> and where some children making been-shooters from its hollow stems came
> down with a poison-ivy type reaction.  I believe there was even a song
> written on the theme of "the attack of the giant hogweeds".
> 

It is now common along river valleys and in waste ground (and readily spreads
into gardens where it is a pain to get rid of) in England.

-- 
Stephen J Bungard      aka  [email-masked]       |   DO NOT   |
 If there are opinions in the above, they are mine, all mine..  |THROW STONES|
 .. unless, of course, they are yours...or someone else's...    |  AT THIS   |
            Also available in the North Ebudes.                 |   NOTICE   |